Skip to content
Start here

List all application versions

GET/accounts/{account_id}/containers/applications/{application_id}/versions

Returns all versions for a scheduler-backed application with scheduling_policy: "default". Versions and rollouts do not apply to applications with scheduling_policy: "durable_object".

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Containers WriteWorkers Containers Read
Path ParametersExpand Collapse
account_id: string
application_id: string

An Application ID represents an identifier of an application.

ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { configuration, percentage, version }
configuration: object { authorized_keys, command, entrypoint, 4 more }

User-specified container configuration changes.

authorized_keys: optional array of object { public_key, name }
public_key: string

An SSH public key.

name: optional string

Optional human readable name for this key.

command: optional array of string

The command that runs when the container starts, passed to the entrypoint. You can override this at run-time. If you override only the command, it gets passed to the default entrypoint specified in the image.

entrypoint: optional array of string

The entry point for the container, specifying the executable to run when the container starts. You can override this at run-time. If you do, the default command from the image is ignored. Specify both entrypoint and command at run-time to completely replace the image defaults.

environment_variables: optional array of object { name, value }

Container environment variables.

name: string

An environment variable name.

value: string

An environment variable value.

image: optional string

Image url.

instance_type: optional "lite" or "basic" or "standard-1" or 3 more

The instance type configures vCPU, memory, and disk.

  • “lite”: 1/16 vCPU, 256 MiB memory, 2 GB disk
  • “basic”: 1/4 vCPU, 1 GiB memory, 4 GB disk
  • “standard-1”: 1/2 vCPU, 4 GiB memory, 8 GB disk
  • “standard-2”: 1 vCPU, 6 GiB memory, 12 GB disk
  • “standard-3”: 2 vCPU, 8 GiB memory, 16 GB disk
  • “standard-4”: 4 vCPU, 12 GiB memory, 20 GB disk
One of the following:
"lite"
"basic"
"standard-1"
"standard-2"
"standard-3"
"standard-4"
observability: optional object { logs }

Settings for deployment observability such as logging.

logs: optional object { enabled }

Observability logging settings.

enabled: optional boolean
percentage: number
version: number
success: boolean

Whether the API call was successful.

List all application versions

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/containers/applications/$APPLICATION_ID/versions \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "configuration": {
        "authorized_keys": [
          {
            "public_key": "public_key",
            "name": "name"
          }
        ],
        "command": [
          "myapp",
          "--default-option"
        ],
        "entrypoint": [
          "/bin/bash"
        ],
        "environment_variables": [
          {
            "name": "name",
            "value": "value"
          }
        ],
        "image": "image",
        "instance_type": "lite",
        "observability": {
          "logs": {
            "enabled": true
          }
        }
      },
      "percentage": 0,
      "version": 0
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "configuration": {
        "authorized_keys": [
          {
            "public_key": "public_key",
            "name": "name"
          }
        ],
        "command": [
          "myapp",
          "--default-option"
        ],
        "entrypoint": [
          "/bin/bash"
        ],
        "environment_variables": [
          {
            "name": "name",
            "value": "value"
          }
        ],
        "image": "image",
        "instance_type": "lite",
        "observability": {
          "logs": {
            "enabled": true
          }
        }
      },
      "percentage": 0,
      "version": 0
    }
  ],
  "success": true
}